org.eclipse.wst.jsdt.chromium

## Interface JsEvaluateContext.PrimitiveValueFactory

Enclosing interface:
  JsEvaluateContext

    public static interface JsEvaluateContext.PrimitiveValueFactory

Locally creates primitive values. They can be used is such methods as `JsEvaluateContext.evaluateAsync(java.lang.String, java.util.Map<java.lang.String, ? extends org.eclipse.wst.jsdt.chromium.JsValue>, org.eclipse.wst.jsdt.chromium.JsEvaluateContext.EvaluateCallback, org.eclipse.wst.jsdt.chromium.SyncCallback)`

### Method Summary

All Methods Instance Methods Abstract Methods
`JsValue` `createBoolean(boolean value)`
`JsValue` `createNumber(double value)`
`JsValue` `createNumber(long value)`
`JsValue` `createNumber(java.lang.String stringRepresentation)`
`JsValue` `createString(java.lang.String value)`
`JsValue` `getNull()`
`JsValue` `getUndefined()`

### Method Detail

#### createString

    JsValue createString(java.lang.String value)

#### createBoolean

    JsValue createBoolean(boolean value)

#### createNumber

    JsValue createNumber(java.lang.String stringRepresentation)

#### createNumber

    JsValue createNumber(long value)

#### createNumber

    JsValue createNumber(double value)

#### getUndefined

    JsValue getUndefined()

#### getNull

    JsValue getNull()